package explorviz.live_trace_processing.filter.reduction.summarization;

import explorviz.live_trace_processing.record.event.AbstractAfterEventRecord;
import explorviz.live_trace_processing.record.event.AbstractBeforeEventRecord;

public class Edge {

	private AbstractBeforeEventRecord caller;
	private AbstractBeforeEventRecord callee;
	private AbstractAfterEventRecord callee_end;
	private boolean taken;

	public Edge(final AbstractBeforeEventRecord caller, final AbstractBeforeEventRecord callee) {
		this.caller = caller;
		this.callee = callee;
		taken = false;
	}

	public AbstractAfterEventRecord getCallee_end() {
		return callee_end;
	}

	public void setCallee_end(final AbstractAfterEventRecord callee_end) {
		this.callee_end = callee_end;
	}

	public boolean isTaken() {
		return taken;
	}

	public void setTaken(final boolean taken) {
		this.taken = taken;
	}

	public AbstractBeforeEventRecord getCaller() {
		return caller;
	}

	public void setCaller(final AbstractBeforeEventRecord caller) {
		this.caller = caller;
	}

	public AbstractBeforeEventRecord getCallee() {
		return callee;
	}

	public void setCallee(final AbstractBeforeEventRecord callee) {
		this.callee = callee;
	}

}
